Account List Inquiry API
Retrieves all direct debit accounts registered with the merchant, identified by the customer ID (mchtCustId).
Account List Inquiry
API Information
POST/v1/api/acnt/list
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/acnt/list운영
https://npay.settlebank.co.kr/v1/api/acnt/listRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└bankCdAN(3)Alphanumeric, up to 3 bytesBank code (use to filter by a specific bank).
Bank code (use to filter by a specific bank).
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
NOTE
Signature composition
mchtId + mchtCustId + reqDt + reqTm + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└dataCntN(4)Numeric, up to 4 bytes*Number of accounts retrieved.
2Number of accounts retrieved.
└acntRecordsObject List*Account history list.
[{"recordBankCd":"011", "recordCustAcntNoMask":"123*******123", "recordSvcDivCd":"1"}]Account history list.
acntRecords Detail Fields
└recordTrdDtAN(14)Alphanumeric, up to 14 bytes*Registration date and time (yyyyMMddHHmmss).
20210820000000Registration date and time (yyyyMMddHHmmss).
└recordBankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
011Bank code.
└recordCustAcntNoMaskAN(15)Alphanumeric, up to 15 bytes*Account number (masked, e.g., 234********123).
831*******11Account number (masked, e.g., 234********123).
└recordCustAcntKeyAN(50)Alphanumeric, up to 50 bytes*Customer account key — serial number of the registered direct debit account.
d5409fdsl3558Customer account key — serial number of the registered direct debit account.
└recordSvcDivCdN(1)Numeric, up to 1 bytes*Account enrollment service type.
1Account enrollment service type.
1: Firm banking 2: Open Banking 3: Firm banking & Open Banking└recordUnregDtAN(14)Alphanumeric, up to 14 bytesTermination date and time (yyyyMMddHHmmss).
20210820000000Termination date and time (yyyyMMddHHmmss).
Need technical support?
Code Samples
HectoFinancial GitHub